# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLStyleElement Class Reference

Style information. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLStyleElement:

[legend]
Collaboration diagram for DOM::HTMLStyleElement:

[legend]
List of all members.

## Public Member Functions

| HTMLStyleElement (const HTMLStyleElement &other)
| HTMLStyleElement (const Node &other)
HTMLStyleElement & | operator= (const HTMLStyleElement &other)
HTMLStyleElement & | operator= (const Node &other)
bool | disabled () const
void | setDisabled (bool)
DOMString | media () const
void | setMedia (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
StyleSheet | sheet () const

## Protected Member Functions

| HTMLStyleElement (HTMLStyleElementImpl *impl)

## Detailed Description

Style information.

A more detailed style sheet object model is planned to be defined in a separate document. See the STYLE element definition in HTML 4.0.

Definition at line 449 of file html_head.h.

## Member Function Documentation

bool HTMLStyleElement::disabled | ( |  | ) | const

| Enables/disables the style sheet. Definition at line 433 of file html_head.cpp. References DOM::DOMString::isNull().

void HTMLStyleElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 439 of file html_head.cpp.

DOMString HTMLStyleElement::media | ( |  | ) | const

| Designed for use with one or more target media. See the media attribute definition in HTML 4.0. Definition at line 446 of file html_head.cpp.

void HTMLStyleElement::setMedia | ( | const DOMString & |  | ) |

| see media Definition at line 452 of file html_head.cpp.

DOMString HTMLStyleElement::type | ( |  | ) | const

| The style sheet language (Internet media type). See the type attribute definition in HTML 4.0. Definition at line 457 of file html_head.cpp.

void HTMLStyleElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 463 of file html_head.cpp.

StyleSheet HTMLStyleElement::sheet | ( |  | ) | const

| Introduced in DOM Level 2 This method is from the LinkStyle interface. The style sheet. Definition at line 468 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003